#if !defined(AFX_ZBITMAPBUTTON_H__EF18D18E_E0FB_4153_8D4B_AA857E8F2803__INCLUDED_)
#define AFX_ZBITMAPBUTTON_H__EF18D18E_E0FB_4153_8D4B_AA857E8F2803__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ZBitmapButton.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CZBitmapButton window

class CZBitmapButton : public CButton
{
// Construction
public:
	CZBitmapButton();

	CBitmap m_bmNormal;
	CBitmap m_bmOnMouse;
	CBitmap m_bmClick;
	int m_State;
	 
	BOOL m_bMouseCaptured;
// Attributes
public:
	int GetSizeX()
	{
		BITMAP bmInfo;
		m_bmNormal.GetBitmap(&bmInfo);	
		return bmInfo.bmWidth;		
	};
	int GetSizeY()
	{
		BITMAP bmInfo;
		m_bmNormal.GetBitmap(&bmInfo);	
		return bmInfo.bmHeight;
	};
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZBitmapButton)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	//}}AFX_VIRTUAL

// Implementation
public:
	void OnMouseLeave(UINT nFlags, CPoint point);
	void OnMouseEnter(UINT nFlags, CPoint point);
	void RenderBitmap(CDC &rDC,CBitmap &rBitmap);
	void SetBitmap(UINT iNormal,UINT iOnMouse,UINT iClick);
	virtual ~CZBitmapButton();

	// Generated message map functions
protected:
	//{{AFX_MSG(CZBitmapButton)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
public:
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZBITMAPBUTTON_H__EF18D18E_E0FB_4153_8D4B_AA857E8F2803__INCLUDED_)
